import { store } from "@/store";
export const useProcessStore = defineStore(
  "process",
  () => {
    //首页到工序操作传递参数
    const odersData = ref<any>({});
    const processInfo = ref<any>({});
    //扫码开工返回值
    const scanInfo = ref<any>({});
    return { odersData, processInfo, scanInfo };
  },
  {
    //开启持久化存储
    persist: true,
  }
);
export function useProcessStoreHook() {
  return useProcessStore(store);
}
